<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="UTF-8"/>

<!-- ***************************************************************************
                                component template
**************************************************************************** -->
<xsl:template match="component">
---++ <xsl:value-of select="@name"/>
---+++ Initialization Parameters
| *Parameter Name* | *Type* | *Mandatory* | *Default Value* | *Description* |
        <xsl:for-each select="config-template/init/param">
            <xsl:variable name="param_name" select="@name"/>
            <xsl:variable name="mandatory" select="@mandatory"/>
            <xsl:variable name="param_type" select="@type"/>
            <xsl:variable name="param_default" select="value"/>
            <xsl:variable name="param_description" select="description"/>
| <xsl:value-of select="$param_name"/> | <xsl:value-of select="$mandatory"/> | <xsl:value-of select="$param_type"/> | <xsl:value-of select="$param_default"/> | <xsl:value-of select="$param_description"/> |
        </xsl:for-each>

---+++ Configuration Parameters

| *Parameter Name* | *Type* | *Mandatory* | *Default Value* | *Description* |
        <xsl:for-each select="config-template/config/param">
            <xsl:variable name="param_name" select="@name"/>
            <xsl:variable name="mandatory" select="@mandatory"/>
            <xsl:variable name="param_type" select="@type"/>
            <xsl:variable name="param_default" select="value"/>
            <xsl:variable name="param_description" select="description"/>
| <xsl:value-of select="$param_name"/> | <xsl:value-of select="$mandatory"/> | <xsl:value-of select="$param_type"/> | <xsl:value-of select="$param_default"/> | <xsl:value-of select="$param_description"/> |
        </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>
